PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::align::Aligner< Primitive< 3 >::DIRECTION_TRAN, Primitive< 3 >::DIRECTION_VERT > Struct Reference

Two directions aligner in 2D and 3D space, compose and use two 1D aligners. More...

`#include <plask/geometry/align.hpp>`

Inheritance diagram for plask::align::Aligner< Primitive< 3 >::DIRECTION_TRAN, Primitive< 3 >::DIRECTION_VERT >:
[legend]
Collaboration diagram for plask::align::Aligner< Primitive< 3 >::DIRECTION_TRAN, Primitive< 3 >::DIRECTION_VERT >:
[legend]

## Public Member Functions
| Aligner ()
| Aligner (const Aligner< Primitive< 3 >::DIRECTION_TRAN > &dir1aligner, const Aligner< Primitive< 3 >::DIRECTION_VERT > &dir2aligner)
void | align (Translation< 2 > &toAlign, const Box2D &childBoundingBox) const
| Set object coordinate in direction of aligner activity.
void | align (Translation< 2 > &toAlign) const
| Set object translation in direction of aligner activity.
Public Member Functions inherited from plask::align::AlignerBase2D< Primitive< 3 >::DIRECTION_TRAN, Primitive< 3 >::DIRECTION_VERT >
| AlignerBase2D ()
| AlignerBase2D (const Aligner< direction1 > &dir1aligner, const Aligner< direction2 > &dir2aligner)
bool | useBounds () const
| Check if this aligner getAlign uses bounding box in calculation.
virtual void | align (Translation< 3 > &toAlign, const Box3D &childBoundingBox) const
| Set object translation in directions of aligner activity.
virtual void | align (Translation< 3 > &toAlign) const
| Set object translation in directions of aligner activity.
std::string | str () const
| Get string representation of this using print method.
virtual std::map< std::string, double > | asDict (const AxisNames &axis_names) const
| Get aligner as dictionary.
virtual void | writeToXML (XMLElement &dest, const AxisNames &axis_names) const
| Write this aligner to XML.
bool | isNull ()

## Additional Inherited Members
Public Attributes inherited from plask::align::AlignerBase2D< Primitive< 3 >::DIRECTION_TRAN, Primitive< 3 >::DIRECTION_VERT >
Aligner< _direction1 > | dir1aligner
Aligner< _direction2 > | dir2aligner
Static Public Attributes inherited from plask::align::AlignerBase2D< Primitive< 3 >::DIRECTION_TRAN, Primitive< 3 >::DIRECTION_VERT >
static const Direction | direction1
static const Direction | direction2

## Detailed Description

Two directions aligner in 2D and 3D space, compose and use two 1D aligners.

Version in direction tran-vert can align in 2D translations.

Definition at line 439 of file align.hpp.

## Constructor & Destructor Documentation

## ◆ Aligner() [1/2]

plask::align::Aligner< Primitive< 3 >::DIRECTION_TRAN, Primitive< 3 >::DIRECTION_VERT >::Aligner | ( |  | ) |
| inline

Definition at line 441 of file align.hpp.

## ◆ Aligner() [2/2]

plask::align::Aligner< Primitive< 3 >::DIRECTION_TRAN, Primitive< 3 >::DIRECTION_VERT >::Aligner | ( | const Aligner< Primitive< 3 >::DIRECTION_TRAN > & | dir1aligner,
|  | const Aligner< Primitive< 3 >::DIRECTION_VERT > & | dir2aligner
| ) |  |
| inline

Definition at line 443 of file align.hpp.

## Member Function Documentation

## ◆ align() [1/2]

void plask::align::Aligner< Primitive< 3 >::DIRECTION_TRAN, Primitive< 3 >::DIRECTION_VERT >::align | ( | Translation< 2 > & | toAlign | ) | const
| inline

Set object translation in direction of aligner activity.

This version is called if caller doesn't know child bounding box.

Parameters

  toAlign | translation to set, should have child, which is an object to align

Definition at line 466 of file align.hpp.

## ◆ align() [2/2]

void plask::align::Aligner< Primitive< 3 >::DIRECTION_TRAN, Primitive< 3 >::DIRECTION_VERT >::align | ( | Translation< 2 > & | toAlign,
|  | const Box2D & | childBoundingBox
| ) |  | const
| inline

Set object coordinate in direction of aligner activity.

This version is called if caller knows child bounding box.

Parameters

  toAlign | translation to set, should have child, which is an object to align
  childBoundingBox | bounding box of object to align

Definition at line 455 of file align.hpp.

The documentation for this struct was generated from the following file:

- plask/geometry/align.hpp